import axios from '@/libs/api.request'
export const findPeopleInfoList = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/findPeopleInfoList',
    method: 'post',
    data: param
  })
}
export const createPeopleInfo = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/createPeopleInfo',
    method: 'post',
    data: param
  })
}
export const updatePeopleInfo = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/updatePeopleInfo',
    method: 'post',
    data: param
  })
}

export const getPeopleInfoByCardno = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/getPeopleInfoByCardno',
    method: 'post',
    data: param
  })
}

export const findLabelList = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/findLabelList',
    method: 'post',
    data: param
  })
}

export const findMZList = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/findMZList',
    method: 'post',
    data: param
  })
}
export const findPeopleZFLogList = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/findPeopleZFLogList',
    method: 'post',
    data: param
  })
}
export const findPeopleZFLogList2 = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/findPeopleZFLogList2',
    method: 'post',
    data: param
  })
}
export const createPeopleZFLog = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/createPeopleZFLog',
    method: 'post',
    data: param
  })
}
export const updatePeopleZFLog = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/updatePeopleZFLog',
    method: 'post',
    data: param
  })
}

export const selectGardenList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/user/selectGardenList',
    method: 'post',
    data: param
  })
}

export const selectBuildingList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/user/selectBuildingList',
    method: 'post',
    data: param
  })
}

export const selectUnitList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/user/selectUnitList',
    method: 'post',
    data: param
  })
}

export const selectFloorList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/user/selectFloorList',
    method: 'post',
    data: param
  })
}

export const selectDoorplateList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/user/selectDoorplateList',
    method: 'post',
    data: param
  })
}

export const saveUserFamily = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/saveUserFamily',
    method: 'post',
    data: param
  })
}

export const selectFamilyList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/sys/selectFamilyList',
    method: 'post',
    data: param
  })
}

export const selectUserFamilyList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/peopleInfo/selectUserFamilyList',
    method: 'post',
    data: param
  })
}

export const updateIsSpecial = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/peopleInfo/updateIsSpecial',
    method: 'post',
    data: param
  })
}

export const deletePeopleZFLog = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/peopleInfoService/deletePeopleZFLog',
    method: 'post',
    data: param
  })
}

// 五种重点人员查询
export const findKeyPersonList = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/murderManagementService/findKeyPersonList',
    method: 'post',
    data: param
  })
}
// 删除
export const deleteKeyPersonById = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/murderManagementService/deleteKeyPersonById',
    method: 'post',
    data: param
  })
}
// 插入
export const insertKeyPersonById = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/murderManagementService/insertKeyPersonById',
    method: 'post',
    data: param
  })
}
// 修改
export const updateKeyPersonById = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/murderManagementService/updateKeyPersonById',
    method: 'post',
    data: param
  })
}

/**
 * 获取当前登陆人的省市区层级信息
 */
export const getLoginUserAreaInfo = (params) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/murderManagementService/getLoginUserAreaInfo',
    method: 'get',
    params
  })
}

// 重点未成年人员查询
export const minorFindKeyPersonList = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/keyPersonMinorService/findKeyPersonList',
    method: 'post',
    data: param
  })
}
// 重点未成年人员删除
export const minorDeleteKeyPersonById = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/keyPersonMinorService/deleteKeyPersonById',
    method: 'post',
    data: param
  })
}
// 重点未成年人员插入
export const minorInsertKeyPersonById = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/keyPersonMinorService/insertKeyPersonById',
    method: 'post',
    data: param
  })
}
// 重点未成年人员修改
export const minorUpdateKeyPersonById = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/keyPersonMinorService/updateKeyPersonById',
    method: 'post',
    data: param
  })
}
// 重点未成年人员查询
export const selectRatingHistoryList = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/keyPersonRatingHistoryService/selectRatingHistoryList',
    method: 'post',
    data: param
  })
}

// 人员统计(待办，已办，超期待办)
export const doStatusAllCount = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/keyPersonMinorService/doStatusAllCount',
    type: 'get',
    params: param
  })
}

// 模拟定时任务
export const ratingScheduledTask = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/keyPersonRatingScheduledTask/ratingScheduledTask',
    type: 'get',
    params: param
  })
}

// 获取评分按钮权限
export const getVisitButtonPower = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/keyPersonRating/getVisitButtonPower',
    method: 'post',
    data: param
  })
}

// 导入数据（文件流）
export const importExcel = (param) => {
  return axios.request({
    url: '/api/ac/jilinsscgsdp/keyPersonRatingHistoryService/importExcel',
    method: 'post',
    data: param
  })
}
